#ifndef fointegr_h
#define fointegr_h
#include "cuba.h"

extern double fointegrand0d();

integrand_t fointegrand3d (const int &ndim, const double x[], const int &ncomp, double f[]);
int fointegrand3d_cubature_v(unsigned ndim, long unsigned npts, const double x[], void *data, unsigned ncomp, double f[]);
int fointegrand3d_cubature(unsigned ndim, const double x[], void *data, unsigned ncomp, double f[]);
double fointegrand3d_smolyak(int ndim, double x[]);

#endif
